"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const CustomCode = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const elementRef = qwik.useSignal();
  const state = qwik.useStore({
    scriptsInserted: [],
    scriptsRun: []
  });
  qwik.useOn("qvisible", /* @__PURE__ */ qwik.inlinedQrl((event, element) => {
    const [state2] = qwik.useLexicalScope();
    if (!(element == null ? void 0 : element.getElementsByTagName) || typeof window === "undefined")
      return;
    const scripts = element.getElementsByTagName("script");
    for (let i = 0; i < scripts.length; i++) {
      const script = scripts[i];
      if (script.src) {
        if (state2.scriptsInserted.includes(script.src))
          continue;
        state2.scriptsInserted.push(script.src);
        const newScript = document.createElement("script");
        newScript.async = true;
        newScript.src = script.src;
        document.head.appendChild(newScript);
      } else if (!script.type || [
        "text/javascript",
        "application/javascript",
        "application/ecmascript"
      ].includes(script.type)) {
        if (state2.scriptsRun.includes(script.innerText))
          continue;
        try {
          state2.scriptsRun.push(script.innerText);
          new Function(script.innerText)();
        } catch (error) {
          console.warn("`CustomCode`: Error running script:", error);
        }
      }
    }
  }, "CustomCode_component_useOn_zjAgBhFOiCs", [
    state
  ]));
  return /* @__PURE__ */ qwik._jsxQ("div", {
    ref: elementRef
  }, {
    class: qwik._fnSignal((p0) => "builder-custom-code" + (p0.replaceNodes ? " replace-nodes" : ""), [
      props
    ], '"builder-custom-code"+(p0.replaceNodes?" replace-nodes":"")'),
    dangerouslySetInnerHTML: qwik._fnSignal((p0) => p0.code, [
      props
    ], "p0.code")
  }, null, 3, "bY_0");
}, "CustomCode_component_uYOSy7w7Zqw"));
exports.CustomCode = CustomCode;
exports.default = CustomCode;
